Subject: Re: [nvo3] Active OAM encapsulation for Geneve

From: Greg Mirsky <[email-masked]>
Date: Mon, 6 Jan 2020 11:25:33 -0800

Hi Matthew and All,
happy New Year and best wishes.

I think that, in addition to the support of IP, a tunnel point of the
Geneve tunnel will support, obviously, Geneve encapsulation and, thus,
should be able to support action OAM identified by a new Ether Type value.
With this approach, an active OAM packet would not require an inner IP/UDP
header.

Your comments, questions, and suggestions are most welcome. Content
contributions are always encouraged and are greatly appreciated.

Regards,
Greg

On Wed, Dec 4, 2019 at 5:26 AM Bocci, Matthew (Nokia - GB) <
[email-masked]> wrote:

> Folks
>
>
>
> It is important that we get consensus on this topic in order to move the
> OAM work forward.
>
>
>
> Please read the draft and comment on the issues raised below.
>
>
>
> Best regards,
>
>
>
> Matthew
>
>
>
> *From: *Dacheng Zhang <[email-masked]> on behalf of Greg Mirsky <
> [email-masked]>
> *Date: *Monday, 2 December 2019 at 19:49
> *To: *NVO3 <[email-masked]>
> *Subject: *[nvo3] Active OAM encapsulation for Geneve
>
>
>
> Dear All,
>
> though there was no formal discussion of draft-mmbb-nvo3-geneve-oam
> <https://tools.ietf.org/html/draft-mmbb-nvo3-geneve-oam-00> in Singapore,
> I've captured one comment that is, in my view, is very much relevant to
> resolving the question posted in the draft:
>
> Not all stacks support MPLS encapsulation.
>
> Consequently, the proposed in the third paragraph of Section 2.1
> <https://tools.ietf.org/html/draft-mmbb-nvo3-geneve-oam-00#section-2.1>
> use of MPLS GAL is not a viable solution. Could people familiar with the
> deployments share their expertise and experiences?
>
>
>
> Regards,
>
> Greg
>